# DescribeListeners

## 1. 接口描述

本接口(DescribeListeners)用于查询一台或多台指定Listener的信息。用户可以根据负载均衡实例的ID、监听器的ID等信息来搜索监听器的信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型              | 描述                                   |
| --------------- | -- | --------------- | ------------------------------------ |
| listenerIds     | 否  | Array of String | <p>监听器ID列表。</p><p>最多支持100个。</p>      |
| loadBalancerIds | 否  | Array of String | <p>负载均衡实例ID列表。</p><p>最多支持100个。</p>   |
| listenerName    | 否  | String          | <p>监听器名称。</p><p>支持模糊搜索。</p>          |
| pageNum         | 否  | Integer         | <p>返回的分页数。</p><p>默认值：1</p>           |
| pageSize        | 否  | Integer         | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p> |

## 3. 响应结果

| 参数名称       | 类型                                                                                   | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                               | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                              | 符合条件的Listener总数量。                                        |
| dataSet    | Array of [ListenerInfo](/api-reference/cn/compute/bmc/datastructure.md#listenerinfo) | 监听器集合。                                                   |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **根据负载均衡实例ID查询。**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeListeners
Request:
{
  "loadBalancerIds": ["xxxx"]
}
Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 10,
    "dataSet": [
      {
        "listenerId": "xxxxx",
        "listenerName": "xxxx",
        "status": "Available",
        "port": "80",
        "protocol": "TCP",
        "backendProtocol": "TCP",
        "scheduler": "rr",
        "kind": "DR",
        "loadBalancerId": "xxxx",
        "createTime": "2022-08-31 11:11:20"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/load-balancing/describelisteners.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
